Broadcasts
Send broadcast
Start sending messages immediately. This is asynchronous - use GET /broadcasts/ to monitor progress.
POST
/
whatsapp
/
broadcasts
/
{broadcast_id}
/
send
Send broadcast
curl --request POST \
--url https://api.kapso.ai/platform/v1/whatsapp/broadcasts/{broadcast_id}/send \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.kapso.ai/platform/v1/whatsapp/broadcasts/{broadcast_id}/send"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.kapso.ai/platform/v1/whatsapp/broadcasts/{broadcast_id}/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "5f6a7b8c-9d0e-1f2a-3b4c-5d6e7f8a9b0c",
"status": "sending",
"scheduled_at": null,
"started_at": "2025-10-12T17:03:21Z",
"stopped_at": null,
"completed_at": null
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Was this page helpful?
⌘I
Send broadcast

